Bug 24046 - 'Activate filters' untranslatable
Summary: 'Activate filters' untranslatable
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Maryse Simard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22490
  Show dependency treegraph
 
Reported: 2019-11-14 16:49 UTC by Caroline Cyr La Rose
Modified: 2020-01-30 06:53 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07, 18.11.13


Attachments
Intranet detail page in fr-CA (48.34 KB, image/png)
2019-11-14 16:49 UTC, Caroline Cyr La Rose
Details
Bug 24046: Untranslatable 'Activate filters' (3.57 KB, patch)
2019-11-18 14:51 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24046: Untranslatable 'Activate filters' (2.34 KB, patch)
2019-12-12 17:38 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24046: Untranslatable 'Activate filters' (2.41 KB, patch)
2019-12-13 22:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24046: Untranslatable 'Activate filters' (2.48 KB, patch)
2019-12-15 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-11-14 16:49:40 UTC
Created attachment 95437 [details]
Intranet detail page in fr-CA

When looking at the intranet detail page, in the holdings tab, there is 'Activate filters' which is untranslatable. I *think* it's because it's in a JS tidbit of code, but I'm not sure...

See screenshot of fr-CA detail page with Activate filters in English.
Comment 1 Maryse Simard 2019-11-18 14:51:09 UTC
Created attachment 95514 [details] [review]
Bug 24046: Untranslatable 'Activate filters'

Bug 9573 moved the code for the table filters activation to it's
own javascript file. The strings contained in this file are not
translatable. This patch moves the strings to their own strings
file which is then included with the javascript from the templates.

Test plan:
Visit the catalogue/detail.pl and reports/itemslost.pl and test
that the 'Activate/Deactivate filters' option still work correctly.
Comment 2 Jonathan Druart 2019-11-25 14:39:07 UTC
Hi Maryse,
I do not think we should have a new include file in str/
I would suggest to have those strings defined in datatables.inc instead, as they are related to dataTable
Comment 3 Maryse Simard 2019-12-12 17:38:52 UTC
Created attachment 96231 [details] [review]
Bug 24046: Untranslatable 'Activate filters'

Bug 9573 moved the code for the table filters activation to it's
own javascript file. The strings contained in this file are not
translatable. This patch moves the strings to the datatables
include file since the filters are related to datatables.

Test plan:
Visit the catalogue/detail.pl and reports/itemslost.pl and test
that the 'Activate/Deactivate filters' option still work correctly.
Comment 4 Maryse Simard 2019-12-12 17:41:29 UTC
(In reply to Jonathan Druart from comment #2)
> I would suggest to have those strings defined in datatables.inc instead, as
> they are related to dataTable

This makes sense. I amended the patch to move the strings to this file.
Comment 5 Owen Leonard 2019-12-13 22:55:52 UTC
Created attachment 96285 [details] [review]
Bug 24046: Untranslatable 'Activate filters'

Bug 9573 moved the code for the table filters activation to it's
own javascript file. The strings contained in this file are not
translatable. This patch moves the strings to the datatables
include file since the filters are related to datatables.

Test plan:
Visit the catalogue/detail.pl and reports/itemslost.pl and test
that the 'Activate/Deactivate filters' option still work correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2019-12-15 11:14:09 UTC
Created attachment 96291 [details] [review]
Bug 24046: Untranslatable 'Activate filters'

Bug 9573 moved the code for the table filters activation to it's
own javascript file. The strings contained in this file are not
translatable. This patch moves the strings to the datatables
include file since the filters are related to datatables.

Test plan:
Visit the catalogue/detail.pl and reports/itemslost.pl and test
that the 'Activate/Deactivate filters' option still work correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2019-12-23 11:32:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-01-12 18:46:09 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 9 Lucas Gass 2020-01-13 22:26:52 UTC
backported to 19.05.x for 19.05.07
Comment 10 Hayley Mapley 2020-01-14 20:41:46 UTC
Backported to 18.11.x for 18.11.13